com.trendmicro.ds.network.rest.object.sslconfiguration

## Class DescribeSSLConfigurationResponse

- java.lang.Object
- - com.trendmicro.ds.network.rest.object.sslconfiguration.DescribeSSLConfigurationResponse

-     public class DescribeSSLConfigurationResponse
      extends java.lang.Object

  Response object for the DescribeSSLConfiguration API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeSSLConfigurationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLConfiguration` | `getSSLConfiguration()` Get the SSL configuration details
    `void` | `setSSLConfiguration(SSLConfiguration sslConfiguration)` Set the SSL configuration details
    `DescribeSSLConfigurationResponse` | `withSSLConfiguration(SSLConfiguration sslConfiguration)` Set the SSL configuration details

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeSSLConfigurationResponse

          public DescribeSSLConfigurationResponse()

  - ### Method Detail

    - #### getSSLConfiguration

          public SSLConfiguration getSSLConfiguration()

      Get the SSL configuration details
      Returns:
        the SSL configuration details

    - #### setSSLConfiguration

          public void setSSLConfiguration(SSLConfiguration sslConfiguration)

      Set the SSL configuration details
      Parameters:
        `sslConfiguration` - the SSL configuration details to set

    - #### withSSLConfiguration

          public DescribeSSLConfigurationResponse withSSLConfiguration(SSLConfiguration sslConfiguration)

      Set the SSL configuration details
      Parameters:
        `sslConfiguration` - the SSL configuration details to set
      Returns:
        the updated DescribeSSLConfigurationResponse object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.